#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QtWidgets>

class SaveDialog : public QDialog
{
    Q_OBJECT
private:
    QTableWidget* f_tblWidget;

public:
    SaveDialog(QWidget* = 0);

public slots:
    void sltSetSizes(int p_rCt, int p_cCt) const;
    void sltSetContents(int p_row, int p_column, QTableWidgetItem *p_item);

private:
    void closeEvent(QCloseEvent *event);
};

#endif // DIALOG_H
